Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\FieldType\ImageAsset\Value Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\ImageAsset\Value:

## Public Member Functions
| __construct ($destinationContentId=null, ?string $alternativeText=null)
| __toString ()
| {Returns a string representation of the field value. Returns string } More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
| $destinationContentId
| $alternativeText

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 13 of file Core/FieldType/ImageAsset/Value.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\ImageAsset\Value::__construct | ( |  | $destinationContentId = `null`,
|  | ?string | $alternativeText = `null`
| ) |  |

Parameters

  mixed | null | $destinationContentId |
  string | null | $alternativeText |

Definition at line 33 of file Core/FieldType/ImageAsset/Value.php.

References eZ\Publish\Core\FieldType\ImageAsset\Value\$alternativeText, and eZ\Publish\Core\FieldType\ImageAsset\Value\$destinationContentId.

## Member Function Documentation

## ◆ __toString()

eZ\Publish\Core\FieldType\ImageAsset\Value::__toString | ( |  | ) |

{Returns a string representation of the field value.

Returns
  string

}

Reimplemented from eZ\Publish\Core\FieldType\Value.

Definition at line 44 of file Core/FieldType/ImageAsset/Value.php.

## Member Data Documentation

## ◆ $alternativeText

eZ\Publish\Core\FieldType\ImageAsset\Value::$alternativeText

Definition at line 27 of file Core/FieldType/ImageAsset/Value.php.

Referenced by eZ\Publish\Core\FieldType\ImageAsset\Value\__construct().

## ◆ $destinationContentId

eZ\Publish\Core\FieldType\ImageAsset\Value::$destinationContentId

Definition at line 20 of file Core/FieldType/ImageAsset/Value.php.

Referenced by eZ\Publish\Core\FieldType\ImageAsset\Value\__construct().

The documentation for this class was generated from the following file:

- Core/FieldType/ImageAsset/Value.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.